package com.ruoyi.szxc.service;

import java.util.List;
import com.ruoyi.szxc.domain.SzxcVisitRecard;

/**
 * 走访记录Service接口
 * 
 * @author hs
 * @date 2024-03-20
 */
public interface ISzxcVisitRecardService 
{
    /**
     * 查询走访记录
     * 
     * @param id 走访记录主键
     * @return 走访记录
     */
    public SzxcVisitRecard selectSzxcVisitRecardById(Long id);

    /**
     * 查询走访记录列表
     * 
     * @param szxcVisitRecard 走访记录
     * @return 走访记录集合
     */
    public List<SzxcVisitRecard> selectSzxcVisitRecardList(SzxcVisitRecard szxcVisitRecard);

    /**
     * 新增走访记录
     * 
     * @param szxcVisitRecard 走访记录
     * @return 结果
     */
    public int insertSzxcVisitRecard(SzxcVisitRecard szxcVisitRecard);

    /**
     * 修改走访记录
     * 
     * @param szxcVisitRecard 走访记录
     * @return 结果
     */
    public int updateSzxcVisitRecard(SzxcVisitRecard szxcVisitRecard);

    /**
     * 批量删除走访记录
     * 
     * @param ids 需要删除的走访记录主键集合
     * @return 结果
     */
    public int deleteSzxcVisitRecardByIds(Long[] ids);

    /**
     * 删除走访记录信息
     * 
     * @param id 走访记录主键
     * @return 结果
     */
    public int deleteSzxcVisitRecardById(Long id);
}
